Skip to main content

Get Cluster VPC Details

Returns the VPC network the cluster's master node is attached to - its name, network_id, ipv4_cidr, DNS servers, and subnet. The path takes the cluster's master_node_id (from List / Detail).

GET/api/v1/vpc/node/{master_node_id}/

Path parameters

  • master_node_idPathintegerrequired

    The master_node_id of the cluster (from List / Detail).

    • required
    • must be a valid master node ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
array

The VPC networks attached to the cluster's master node.

itemsobject
dnsstring
example8.8.8.8 8.8.4.4
ipv4_cidrstring
example10.20.0.0/23
namestring
examplemy-vpc
network_idinteger
example60001
project_idstring
example{{project_id}}
subnet_idstring
example
is_e2e_vpcboolean
exampletrue